/* Rexx program to install Message Manager */
'echo off'

call rxfuncadd 'sysloadfuncs','rexxutil','sysloadfuncs'
call sysloadfuncs

parse arg parms

if parms = ""
    Then
        Do
            'CLS'
            Say ''
            Say ''
            Say 'ERROR!'
            Say 'Incorrect or missing parameters'
            Say 'Correct syntax is:  '
            Say '     MMInst MsgMgr_directory GCP_messages_directory'
            Return
        End

parse var parms msgDir gcpDir

if right(gcpDir,1) <> '\'
    Then gcpDir = gcpDir||'\'

/* Let's do the disclaimer stuff */
'CLS'
Say ''
Say ''
Say 'By using this program, you are agreeing to accept'
Say 'all risk for use of this program.'
Say ''
Say 'This means that YOU and YOU ALONE are responsible for'
Say 'any and all problems that may arise from use of this software.'
Say ''
Say 'Do you agree to these terms? (Y/N):'
pull agree

if agree <> 'Y'
    Then Exit


Say 'Do you really want to install MsgMgr into 'msgDir' (Y/N) ?'
pull response

if response = 'Y'
    Then
        Do
            'echo y|xcopy *.* '||msgDir||'>NUL'

           call SysCreateObject 'WPProgram', 'Message^Manager', '<WP_DESKTOP>',';EXENAME='||msgDir||'\MsgMgr.Exe;PARAMETERS='||gcpDir||';STARTUPDIR='||msgDir||';PROGTYPE=PM;OBJECTID=<MsgMgr>',REPLACE
        End

Say 'Installation completed successfully.'

Say 'Do you wish to read the ReadMe.Doc file now?'
pull response

if response = 'Y'
    Then
        'type readme.doc|more'

Say 'Do you wish to print the ReadMe.Doc file now?'
pull response

if response = 'Y'
    Then
        'print readme.doc'
